'use strict';

customElements.define('compodoc-menu', class extends HTMLElement {
    constructor() {
        super();
        this.isNormalMode = this.getAttribute('mode') === 'normal';
    }

    connectedCallback() {
        this.render(this.isNormalMode);
    }

    render(isNormalMode) {
        let tp = lithtml.html(`
        <nav>
            <ul class="list">
                <li class="title">
                    <a href="index.html" data-type="index-link">hometask documentation</a>
                </li>

                <li class="divider"></li>
                ${ isNormalMode ? `<div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>` : '' }
                <li class="chapter">
                    <a data-type="chapter-link" href="index.html"><span class="icon ion-ios-home"></span>Getting started</a>
                    <ul class="links">
                        <li class="link">
                            <a href="overview.html" data-type="chapter-link">
                                <span class="icon ion-ios-keypad"></span>Overview
                            </a>
                        </li>
                        <li class="link">
                            <a href="index.html" data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>README
                            </a>
                        </li>
                        <li class="link">
                            <a href="license.html"  data-type="chapter-link">
                                <span class="icon ion-ios-paper"></span>LICENSE
                            </a>
                        </li>
                                <li class="link">
                                    <a href="dependencies.html" data-type="chapter-link">
                                        <span class="icon ion-ios-list"></span>Dependencies
                                    </a>
                                </li>
                                <li class="link">
                                    <a href="properties.html" data-type="chapter-link">
                                        <span class="icon ion-ios-apps"></span>Properties
                                    </a>
                                </li>
                    </ul>
                </li>
                    <li class="chapter modules">
                        <a data-type="chapter-link" href="modules.html">
                            <div class="menu-toggler linked" data-toggle="collapse" ${ isNormalMode ?
                                'data-target="#modules-links"' : 'data-target="#xs-modules-links"' }>
                                <span class="icon ion-ios-archive"></span>
                                <span class="link-name">Modules</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                        </a>
                        <ul class="links collapse " ${ isNormalMode ? 'id="modules-links"' : 'id="xs-modules-links"' }>
                            <li class="link">
                                <a href="modules/AppModule.html" data-type="entity-link" >AppModule</a>
                            </li>
                            <li class="link">
                                <a href="modules/CommonModule.html" data-type="entity-link" >CommonModule</a>
                            </li>
                            <li class="link">
                                <a href="modules/HealthModule.html" data-type="entity-link" >HealthModule</a>
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#controllers-links-module-HealthModule-419ea166a26c66d835bf802d999046a1d93b45030469828a98714591d67b67a2e89220a8375b5de016fb524cc6f31b602099ebe5254c25933daff1a9a98529bc"' : 'data-target="#xs-controllers-links-module-HealthModule-419ea166a26c66d835bf802d999046a1d93b45030469828a98714591d67b67a2e89220a8375b5de016fb524cc6f31b602099ebe5254c25933daff1a9a98529bc"' }>
                                            <span class="icon ion-md-swap"></span>
                                            <span>Controllers</span>
                                            <span class="icon ion-ios-arrow-down"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="controllers-links-module-HealthModule-419ea166a26c66d835bf802d999046a1d93b45030469828a98714591d67b67a2e89220a8375b5de016fb524cc6f31b602099ebe5254c25933daff1a9a98529bc"' :
                                            'id="xs-controllers-links-module-HealthModule-419ea166a26c66d835bf802d999046a1d93b45030469828a98714591d67b67a2e89220a8375b5de016fb524cc6f31b602099ebe5254c25933daff1a9a98529bc"' }>
                                            <li class="link">
                                                <a href="controllers/HealthController.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >HealthController</a>
                                            </li>
                                        </ul>
                                    </li>
                            </li>
                            <li class="link">
                                <a href="modules/HttpResponseModule.html" data-type="entity-link" >HttpResponseModule</a>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-module-HttpResponseModule-0150014bbf8c9b72f4659d83831c448a802ebfc3aa2f8673a16b8421e48214016f2cbeb2fca188fbcdcf38df12f057debe03513afdd85b506444fb2b1895a6aa"' : 'data-target="#xs-injectables-links-module-HttpResponseModule-0150014bbf8c9b72f4659d83831c448a802ebfc3aa2f8673a16b8421e48214016f2cbeb2fca188fbcdcf38df12f057debe03513afdd85b506444fb2b1895a6aa"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>Injectables</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-module-HttpResponseModule-0150014bbf8c9b72f4659d83831c448a802ebfc3aa2f8673a16b8421e48214016f2cbeb2fca188fbcdcf38df12f057debe03513afdd85b506444fb2b1895a6aa"' :
                                        'id="xs-injectables-links-module-HttpResponseModule-0150014bbf8c9b72f4659d83831c448a802ebfc3aa2f8673a16b8421e48214016f2cbeb2fca188fbcdcf38df12f057debe03513afdd85b506444fb2b1895a6aa"' }>
                                        <li class="link">
                                            <a href="injectables/HttpResponseService.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >HttpResponseService</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                            <li class="link">
                                <a href="modules/LoggerModule.html" data-type="entity-link" >LoggerModule</a>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-module-LoggerModule-4d9e7376ff61217c7bb095da422a1ce55838f3691ff6125fb95478e0e74f4fdb728b453f40f1c72f28bde6931006c8d997639a185528c578d67ca48162d9ccd8"' : 'data-target="#xs-injectables-links-module-LoggerModule-4d9e7376ff61217c7bb095da422a1ce55838f3691ff6125fb95478e0e74f4fdb728b453f40f1c72f28bde6931006c8d997639a185528c578d67ca48162d9ccd8"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>Injectables</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-module-LoggerModule-4d9e7376ff61217c7bb095da422a1ce55838f3691ff6125fb95478e0e74f4fdb728b453f40f1c72f28bde6931006c8d997639a185528c578d67ca48162d9ccd8"' :
                                        'id="xs-injectables-links-module-LoggerModule-4d9e7376ff61217c7bb095da422a1ce55838f3691ff6125fb95478e0e74f4fdb728b453f40f1c72f28bde6931006c8d997639a185528c578d67ca48162d9ccd8"' }>
                                        <li class="link">
                                            <a href="injectables/LoggerService.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >LoggerService</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                            <li class="link">
                                <a href="modules/SearchModule.html" data-type="entity-link" >SearchModule</a>
                                    <li class="chapter inner">
                                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                            'data-target="#controllers-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' : 'data-target="#xs-controllers-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' }>
                                            <span class="icon ion-md-swap"></span>
                                            <span>Controllers</span>
                                            <span class="icon ion-ios-arrow-down"></span>
                                        </div>
                                        <ul class="links collapse" ${ isNormalMode ? 'id="controllers-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' :
                                            'id="xs-controllers-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' }>
                                            <li class="link">
                                                <a href="controllers/PapersController.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >PapersController</a>
                                            </li>
                                        </ul>
                                    </li>
                                <li class="chapter inner">
                                    <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ?
                                        'data-target="#injectables-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' : 'data-target="#xs-injectables-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' }>
                                        <span class="icon ion-md-arrow-round-down"></span>
                                        <span>Injectables</span>
                                        <span class="icon ion-ios-arrow-down"></span>
                                    </div>
                                    <ul class="links collapse" ${ isNormalMode ? 'id="injectables-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' :
                                        'id="xs-injectables-links-module-SearchModule-df9f8ae425a11246fe4ef2b87cf234e05cec119fd04c76e250160de4489459e700693ce77277bb3b19e33b87829c7fbce1f919193a8b75c12ac62891592285a5"' }>
                                        <li class="link">
                                            <a href="injectables/SearchService.html" data-type="entity-link" data-context="sub-entity" data-context-id="modules" >SearchService</a>
                                        </li>
                                    </ul>
                                </li>
                            </li>
                </ul>
                </li>
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#controllers-links"' :
                                'data-target="#xs-controllers-links"' }>
                                <span class="icon ion-md-swap"></span>
                                <span>Controllers</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                            <ul class="links collapse " ${ isNormalMode ? 'id="controllers-links"' : 'id="xs-controllers-links"' }>
                                <li class="link">
                                    <a href="controllers/PapersController.html" data-type="entity-link" >PapersController</a>
                                </li>
                            </ul>
                        </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#classes-links"' :
                            'data-target="#xs-classes-links"' }>
                            <span class="icon ion-ios-paper"></span>
                            <span>Classes</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="classes-links"' : 'id="xs-classes-links"' }>
                            <li class="link">
                                <a href="classes/EnvironmentVariables.html" data-type="entity-link" >EnvironmentVariables</a>
                            </li>
                            <li class="link">
                                <a href="classes/EsHitDto.html" data-type="entity-link" >EsHitDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/EsQueryDto.html" data-type="entity-link" >EsQueryDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/EsResponseDto.html" data-type="entity-link" >EsResponseDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/HttpExceptionFilter.html" data-type="entity-link" >HttpExceptionFilter</a>
                            </li>
                            <li class="link">
                                <a href="classes/HttpResponseException.html" data-type="entity-link" >HttpResponseException</a>
                            </li>
                            <li class="link">
                                <a href="classes/PageDto.html" data-type="entity-link" >PageDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/PageMetaDto.html" data-type="entity-link" >PageMetaDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/PaperDto.html" data-type="entity-link" >PaperDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/RequestDto.html" data-type="entity-link" >RequestDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/SearchQueryDto.html" data-type="entity-link" >SearchQueryDto</a>
                            </li>
                            <li class="link">
                                <a href="classes/SearchResultDto.html" data-type="entity-link" >SearchResultDto</a>
                            </li>
                        </ul>
                    </li>
                        <li class="chapter">
                            <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#injectables-links"' :
                                'data-target="#xs-injectables-links"' }>
                                <span class="icon ion-md-arrow-round-down"></span>
                                <span>Injectables</span>
                                <span class="icon ion-ios-arrow-down"></span>
                            </div>
                            <ul class="links collapse " ${ isNormalMode ? 'id="injectables-links"' : 'id="xs-injectables-links"' }>
                                <li class="link">
                                    <a href="injectables/HttpResponseService.html" data-type="entity-link" >HttpResponseService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/LoggerInterceptor.html" data-type="entity-link" >LoggerInterceptor</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/LoggerService.html" data-type="entity-link" >LoggerService</a>
                                </li>
                                <li class="link">
                                    <a href="injectables/PageInterceptor.html" data-type="entity-link" >PageInterceptor</a>
                                </li>
                            </ul>
                        </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#guards-links"' :
                            'data-target="#xs-guards-links"' }>
                            <span class="icon ion-ios-lock"></span>
                            <span>Guards</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="guards-links"' : 'id="xs-guards-links"' }>
                            <li class="link">
                                <a href="guards/RolesGuard.html" data-type="entity-link" >RolesGuard</a>
                            </li>
                        </ul>
                    </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#interfaces-links"' :
                            'data-target="#xs-interfaces-links"' }>
                            <span class="icon ion-md-information-circle-outline"></span>
                            <span>Interfaces</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? ' id="interfaces-links"' : 'id="xs-interfaces-links"' }>
                            <li class="link">
                                <a href="interfaces/EqQueryString.html" data-type="entity-link" >EqQueryString</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/EsPit.html" data-type="entity-link" >EsPit</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/EsQuery.html" data-type="entity-link" >EsQuery</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/EsResponseHits.html" data-type="entity-link" >EsResponseHits</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/HttpResponse.html" data-type="entity-link" >HttpResponse</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/SearchInfo.html" data-type="entity-link" >SearchInfo</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/ValidationPipeOptions.html" data-type="entity-link" >ValidationPipeOptions</a>
                            </li>
                            <li class="link">
                                <a href="interfaces/VirtualBankOptions.html" data-type="entity-link" >VirtualBankOptions</a>
                            </li>
                        </ul>
                    </li>
                    <li class="chapter">
                        <div class="simple menu-toggler" data-toggle="collapse" ${ isNormalMode ? 'data-target="#miscellaneous-links"'
                            : 'data-target="#xs-miscellaneous-links"' }>
                            <span class="icon ion-ios-cube"></span>
                            <span>Miscellaneous</span>
                            <span class="icon ion-ios-arrow-down"></span>
                        </div>
                        <ul class="links collapse " ${ isNormalMode ? 'id="miscellaneous-links"' : 'id="xs-miscellaneous-links"' }>
                            <li class="link">
                                <a href="miscellaneous/enumerations.html" data-type="entity-link">Enums</a>
                            </li>
                            <li class="link">
                                <a href="miscellaneous/functions.html" data-type="entity-link">Functions</a>
                            </li>
                            <li class="link">
                                <a href="miscellaneous/variables.html" data-type="entity-link">Variables</a>
                            </li>
                        </ul>
                    </li>
                        <li class="chapter">
                            <a data-type="chapter-link" href="routes.html"><span class="icon ion-ios-git-branch"></span>Routes</a>
                        </li>
                    <li class="chapter">
                        <a data-type="chapter-link" href="coverage.html"><span class="icon ion-ios-stats"></span>Documentation coverage</a>
                    </li>
                    <li class="divider"></li>
                    <li class="copyright">
                        Documentation generated using <a href="https://compodoc.app/" target="_blank">
                            <img data-src="images/compodoc-vectorise-inverted.png" class="img-responsive" data-type="compodoc-logo">
                        </a>
                    </li>
            </ul>
        </nav>
        `);
        this.innerHTML = tp.strings;
    }
});