import { HttpModule } from "@nestjs/axios";
import { CacheModule, Module } from "@nestjs/common";
import { PapersController } from "../../application";
import { SearchService } from "../../core/services/common/search.service";

/**
 * Search module
 */
@Module({
    imports: [
        HttpModule,
        CacheModule.register(),
    ],
    exports: [SearchService],
    providers: [SearchService],
    controllers: [PapersController],
})
export class SearchModule {}